#! /usr/bin/env python
# -*- coding: utf-8 -*-
####################
# v1.0.0
# Copyright (c) 2012, Berkinet, (AKA Richard Perlman) All rights reserved.

reportDict = {}
for irrDev in indigo.devices.iter('com.berkinet.masterirrigation'):
	tempDict = dict(irrDev.globalProps['com.berkinet.masterirrigation'].items())

	padding = 36 - len(irrDev.name)
	spaces = "                     "
	prefix = spaces[0:padding]		
	if tempDict['vSchedule'] == '0':		
		schedInterval = str(tempDict['vSchedPeriod'])
		schedDuration = str(tempDict['vSchedPeriodTime'])
	
		reportDict[irrDev.id] = irrDev.name + prefix + "Interval = " + schedInterval + " days, Time = " + schedDuration + " minutes"
	else:
		reportDict[irrDev.id] = irrDev.name + prefix
		if tempDict['vSchedSun']:
			reportDict[irrDev.id] += "Sunday, " + tempDict['vSchedSunTime'] + " min; "
		if tempDict['vSchedMon']:
			reportDict[irrDev.id] += "Monday, " + tempDict['vSchedMonTime'] + " min; "
		if tempDict['vSchedTue']:
			reportDict[irrDev.id] += "Tuesday, " + tempDict['vSchedTueTime'] + " min; "
		if tempDict['vSchedWed']:
			reportDict[irrDev.id] += "Wednesday, " + tempDict['vSchedWedTime'] + " min; "
		if tempDict['vSchedThu']:
			reportDict[irrDev.id] += "Thursday, " + tempDict['vSchedThuTime'] + " min; "
		if tempDict['vSchedFri']:
			reportDict[irrDev.id] += "Friday, " + tempDict['vSchedFriTime'] + " min; "
		if tempDict['vSchedSat']:
			 reportDict[irrDev.id] += "Saturday, " + tempDict['vSchedSatTime'] + " min; "
			 
	if tempDict['multiplyVariableCheck']:
		 reportDict[irrDev.id] += ", Use Multiplier = True"
	else:
		 reportDict[irrDev.id] += ", Use Multiplier = False"

reportString = ""
for key, value in sorted(reportDict.iteritems(), key=lambda (k,v): (v,k)):
	reportString += "\t" + value + "\n"
	
indigo.server.log('Device Settings Summary\n' + reportString + '\n', type="Master Irrigation")